curl --request GET \
--url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/principal/grants \
--header 'Authorization: <authorization>'{
"grants": [
{
"grantId": "<string>",
"agentId": "<string>",
"agentName": "<string>",
"agentDescription": "<string>",
"agentDid": "<string>",
"scopes": [
"<string>"
],
"status": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"delegationDepth": 123
}
],
"principalId": "<string>"
}Returns all active grants for the authenticated principal. Requires a session token
(from POST /v1/principal-sessions) in the Authorization header.
curl --request GET \
--url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/principal/grants \
--header 'Authorization: <authorization>'{
"grants": [
{
"grantId": "<string>",
"agentId": "<string>",
"agentName": "<string>",
"agentDescription": "<string>",
"agentDid": "<string>",
"scopes": [
"<string>"
],
"status": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"delegationDepth": 123
}
],
"principalId": "<string>"
}